// Chilkat Objective-C header.
// This is a generated header file for Chilkat version 10.1.3

// Generic/internal class name =  AuthGoogle
// Wrapped Chilkat C++ class name =  CkAuthGoogle

@class CkoJsonObject;
@class CkoPfx;
@class CkoTask;
@class CkoSocket;


@class CkoBaseProgress;

@interface CkoAuthGoogle : NSObject {

	@private
		void *m_eventCallback;
		void *m_obj;

}

- (id)init;
- (void)dealloc;
- (void)dispose;
- (NSString *)stringWithUtf8: (const char *)s;
- (void *)CppImplObj;
- (void)setCppImplObj: (void *)pObj;

- (void)clearCppImplObj;

// property setter: EventCallbackObject
- (void)setEventCallbackObject: (CkoBaseProgress *)eventObj;

@property (nonatomic, copy) NSString *AccessToken;
@property (nonatomic, copy) NSString *DebugLogFilePath;
@property (nonatomic, copy) NSString *EmailAddress;
@property (nonatomic, copy) NSNumber *ExpireNumSeconds;
@property (nonatomic, copy) NSNumber *Iat;
@property (nonatomic, copy) NSString *JsonKey;
@property (nonatomic, readonly, copy) NSString *LastErrorHtml;
@property (nonatomic, readonly, copy) NSString *LastErrorText;
@property (nonatomic, readonly, copy) NSString *LastErrorXml;
@property (nonatomic) BOOL LastMethodSuccess;
@property (nonatomic, readonly, copy) NSNumber *NumSecondsRemaining;
@property (nonatomic, copy) NSString *Scope;
@property (nonatomic, copy) NSString *SubEmailAddress;
@property (nonatomic, readonly) BOOL Valid;
@property (nonatomic) BOOL VerboseLogging;
@property (nonatomic, readonly, copy) NSString *Version;
// method: AddClaims
- (BOOL)AddClaims: (CkoJsonObject *)json;
// method: GetP12
- (CkoPfx *)GetP12;
// method: LoadTaskCaller
- (BOOL)LoadTaskCaller: (CkoTask *)task;
// method: ObtainAccessToken
- (BOOL)ObtainAccessToken: (CkoSocket *)connection;
// method: ObtainAccessTokenAsync
- (CkoTask *)ObtainAccessTokenAsync: (CkoSocket *)connection;
// method: SaveLastError
- (BOOL)SaveLastError: (NSString *)path;
// method: SetP12
- (BOOL)SetP12: (CkoPfx *)key;

@end
